<!DOCTYPE html>
<html>
<head>
  <title>ProjetBlog</title>
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/css/bootstrap.min.css" integrity="sha384-GJzZqFGwb1QTTN6wy59ffF1BuGJpLSa9DkKMp0DgiMDm4iYMj70gZWKYbI706tWS" crossorigin="anonymous">
  <%= stylesheet_link_tag  'application', media: 'all', 'data-turbolinks-track' => true %>
  
  <%= csrf_meta_tags %>
</head>
<header>

    <nav class="navbar navbar-expand-lg navbar-dark bg-dark d-flex justify-content-between">
      <%= link_to "/" do %> <h2 class="nav-brand" style="color: white;"> Ruby Project Blog </h2> <% end %>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>

      <div class="collapse navbar-collapse right-link" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
          <li class="nav-item active">
            <%= link_to "/" do %> <h4 class="nav-link">Home <span class="sr-only">(current)</span></h4> <% end %>
          </li>
          <li class="nav-item">
            <% if current_user %>
            <%= link_to destroy_user_session_path, {method: :delete,data:{confirm: "Are you sur?"}} do %> <h4 class="nav-link"> logout </h4> <% end %>
            <% else %>
             <%= link_to new_user_session_path do %> <h4 class="nav-link"> login </h4> <% end %>

            <% end %>
          </li>
          <li class="nav-item">
            <% if current_user %>
              <%= link_to @user do %> <h4 class="nav-link"><%= current_user.email %></h4> <% end %>
            <% end %>
          </li>
        </ul>
      </div>
    </nav>
</header>
<body>
  <div class="container">
  <%= yield %>
  </div>
  <%= javascript_include_tag 'application', 'data-turbolinks-track' => true %>
</body>
</html>
